Package: sbuild
Version: 0.71.0-2~bpo8+1
Severity: grave
Tags: patch

Dear backport maintainer,

Since the upload of sbuild 0.71.0-2~bpo8+1 to stable backport, running
sbuild-update --keygen leads to this error message:

gpg: Invalid option "--pinentry-mode"

Indeed, it looks like --pinentry-mode isn't available in gnupg 1.4.18-7 which
is in Jessie. Since there's no backport of gnupg 2.1.x, this makes sbuild from
jessie-bpo completely broken, considering one need to run sbuild-update --keygen
to start using sbuild.

This simple patch to line 277 fixes the issue:

--- 2016-10-12 21:03:05.357702250 +0000
+++      2016-10-12 21:03:26.929579131 +0000
@@ -274,7 +274,7 @@
        return $?
-    my @command = ('gpg', '--no-options', '--pinentry-mode', 'loopback', 
'--passphrase-file', '/dev/null', '--no-default-keyring', '--batch', 
+    my @command = ('gpg', '--no-options', '--passphrase-file', '/dev/null', 
'--no-default-keyring', '--batch', '--gen-key',
         { COMMAND => \@command,

Please apply this patch to sbuild 0.71.0-2~bpo8+1 and upload the fix.

Thanks for maintaining this sbuild backport: it is very useful, especially that
$clean_source = 0; isn't available in Jessie's version of sbuild (if you know a
workaround for this without jessie-bpo, please let me know).


Thomas Goirand (zigo)

Reply via email to